#!/usr/bin/env node

/**
 * Build this project.
 */

"use strict";

var coz = require('coz'),
    path = require('path'),
    tasking = require('apeman-dev-commons-tasking');

var pkg = require('../package.json'),
    tmpl = require("apeman-tmpl-contrib-official/lib/commons");

var basedir = path.resolve(__dirname, '..');

process.chdir(basedir);

tasking.runTasks([
    function (callback) {
        coz.render([
            //"lib/**/.*.bud",
            "test/**/.*.bud"
        ], callback);
    },
    function (callback) {
        tmpl.render({
            pkg: pkg,
            ignore: [],
            year: new Date().getFullYear(),
            modules: [
                {
                    "name": "updateDependencies"
                }
            ],
            usages: [
                {
                    "title": "updateDependencies",
                    "description": "Update npm dependencies.",
                    "example": "docs/examples/update-dependencies-example.js"
                }
            ],
            see: {
                "GitHub Pages": "https://pages.github.com/"
            }
        }, callback);
    }
], true);